VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "combo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Public attack1 As Byte
Public attack2 As Byte
Public attack3 As Byte
Public byte4 As Byte
Public byte5 As Byte
Public byte6 As Byte
Public unused1 As Byte
Public unused2 As Byte

Public Function tostring() As String
    If attack1 >= 0 And attack1 <= 44 Then
        tostring = App.graphics.f560.attack(attack1 + 1).name
    Else
        tostring = "-"
    End If
    
    tostring = tostring + "/"
    
    If attack2 >= 0 And attack3 < 44 Then
        tostring = tostring + App.graphics.f560.attack(attack2 + 1).name
    Else
        tostring = tostring + "-"
    End If
    
    tostring = tostring + "/"
    
    If attack2 >= 0 And attack3 <= 44 Then
        tostring = tostring + App.graphics.f560.attack(attack3 + 1).name
    Else
        tostring = tostring + "-"
    End If

End Function
Public Function skill1() As Byte
    skill1 = byte4 And &H7F
End Function
Public Function skill2() As Byte
    skill2 = byte5 And &H7F
End Function
Public Function skill3() As Byte
    skill3 = byte6 And &H7F
End Function
Public Function charges1() As Integer
    If (byte4 And &H80) > 0 Then
        charges1 = 1
    Else
        charges1 = 0
    End If
End Function
Public Function charges2() As Integer
    If (byte5 And &H80) > 0 Then
        charges2 = 1
    Else
        charges2 = 0
    End If
End Function
Public Function charges3() As Integer
    If (byte6 And &H80) > 0 Then
        charges3 = 1
    Else
        charges3 = 0
    End If
End Function
Public Function setskill1(num As Integer)
    If num > 127 Then
        num = 127
    End If
    If num < 0 Then
        num = 0
    End If
    byte4 = (byte4 And &H80) + num
End Function
Public Function setskill2(num As Integer)
    If num > 127 Then
        num = 127
    End If
    If num < 0 Then
        num = 0
    End If
    byte5 = (byte5 And &H80) + num
End Function
Public Function setskill3(num As Integer)
    If num > 127 Then
        num = 127
    End If
    If num < 0 Then
        num = 0
    End If
    byte6 = (byte6 And &H80) + num
End Function
Public Function setcharges1(num As Integer)
    If num = 1 Then
    byte4 = (byte4 And &H7F) + &H80
    Else
    byte4 = byte4 And &H7F
    End If
End Function
Public Function setcharges2(num As Integer)
    If num = 1 Then
    byte5 = (byte5 And &H7F) + &H80
    Else
    byte5 = byte5 And &H7F
    End If
End Function
Public Function setcharges3(num As Integer)
    If num = 1 Then
    byte6 = (byte6 And &H7F) + &H80
    Else
    byte6 = byte6 And &H7F
    End If
End Function



